Overview
POST
/oauth/clients/{slug}/rotate-tokenoauthRotate a client app token (admin)
Create a record in rotate-token.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- slugpathstring
Responses
200
One-time app token
- appTokenstring
- appTokenPrefixstring
Example
{
"appToken": "string",
"appTokenPrefix": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/oauth/clients/{slug}/rotate-token" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/oauth/clients/{slug}/rotate-token", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();